	format	MS COFF
	extrn	___bb_appstub_appstub
	extrn	___bb_audio_audio
	extrn	___bb_bank_bank
	extrn	___bb_bankstream_bankstream
	extrn	___bb_basic_basic
	extrn	___bb_blitz_blitz
	extrn	___bb_bmploader_bmploader
	extrn	___bb_d3d7max2d_d3d7max2d
	extrn	___bb_d3d9max2d_d3d9max2d
	extrn	___bb_data_data
	extrn	___bb_directsoundaudio_directsoundaudio
	extrn	___bb_eventqueue_eventqueue
	extrn	___bb_freeaudioaudio_freeaudioaudio
	extrn	___bb_freejoy_freejoy
	extrn	___bb_freeprocess_freeprocess
	extrn	___bb_freetypefont_freetypefont
	extrn	___bb_glew_glew
	extrn	___bb_gnet_gnet
	extrn	___bb_jpgloader_jpgloader
	extrn	___bb_macos_macos
	extrn	___bb_map_map
	extrn	___bb_maxlua_maxlua
	extrn	___bb_maxutil_maxutil
	extrn	___bb_oggloader_oggloader
	extrn	___bb_openalaudio_openalaudio
	extrn	___bb_pngloader_pngloader
	extrn	___bb_retro_retro
	extrn	___bb_tgaloader_tgaloader
	extrn	___bb_threads_threads
	extrn	___bb_timer_timer
	extrn	___bb_wavloader_wavloader
	extrn	_bbDelay
	extrn	_bbNullObject
	extrn	_bbObjectDowncast
	extrn	_bbOnDebugEnterScope
	extrn	_bbOnDebugEnterStm
	extrn	_bbOnDebugLeaveScope
	extrn	_bbStringClass
	extrn	_bbStringConcat
	extrn	_bbStringFromInt
	extrn	_brl_blitz_NullObjectError
	extrn	_brl_gnet_CloseGNetHost
	extrn	_brl_gnet_CreateGNetHost
	extrn	_brl_gnet_GNetListen
	extrn	_brl_gnet_GNetObjectState
	extrn	_brl_gnet_GNetObjects
	extrn	_brl_gnet_GNetSync
	extrn	_brl_gnet_GetGNetString
	extrn	_brl_gnet_TGNetObject
	extrn	_brl_standardio_Print
	public	__bb_main
	section	"code" code
__bb_main:
	push	ebp
	mov	ebp,esp
	sub	esp,28
	push	ebx
	push	esi
	cmp	dword [_107],0
	je	_108
	mov	eax,0
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
_108:
	mov	dword [_107],1
	mov	dword [ebp-4],0
	mov	dword [ebp-8],0
	mov	dword [ebp-12],_bbNullObject
	mov	dword [ebp-16],_bbNullObject
	mov	dword [ebp-20],_bbNullObject
	mov	dword [ebp-24],_bbNullObject
	mov	dword [ebp-28],0
	push	ebp
	push	_100
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_d3d9max2d_d3d9max2d
	call	___bb_data_data
	call	___bb_directsoundaudio_directsoundaudio
	call	___bb_eventqueue_eventqueue
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_map_map
	call	___bb_maxlua_maxlua
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_openalaudio_openalaudio
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_threads_threads
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	push	_37
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-4],8888
	push	_40
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-8],0
	push	_42
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-12],_bbNullObject
	push	_44
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	call	_brl_gnet_CreateGNetHost
	mov	dword [ebp-16],eax
	push	_46
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_22
	call	_brl_standardio_Print
	add	esp,4
	push	_47
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_1
	call	_brl_standardio_Print
	add	esp,4
	push	_48
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-4]
	push	dword [ebp-16]
	call	_brl_gnet_GNetListen
	add	esp,8
	cmp	eax,0
	jne	_49
	push	ebp
	push	_55
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_50
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_23
	call	_brl_standardio_Print
	add	esp,4
	push	_51
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_25
	push	dword [ebp-4]
	call	_bbStringFromInt
	add	esp,4
	push	eax
	push	_24
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_brl_standardio_Print
	add	esp,4
	push	_52
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-8],1
	push	_53
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-16]
	call	_brl_gnet_CloseGNetHost
	add	esp,4
	push	_54
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	ebx,0
	call	dword [_bbOnDebugLeaveScope]
	jmp	_35
_49:
	push	ebp
	push	_58
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_57
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	eax,dword [ebp-16]
	mov	dword [ebp-12],eax
	call	dword [_bbOnDebugLeaveScope]
_56:
	push	_59
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	jmp	_26
_28:
	push	ebp
	push	_97
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_60
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-12]
	call	_brl_gnet_GNetSync
	add	esp,4
	push	_61
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	0
	push	dword [ebp-12]
	call	_brl_gnet_GNetObjects
	add	esp,8
	mov	dword [ebp-20],eax
	push	_63
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	dword [ebp-24],_bbNullObject
	mov	esi,dword [ebp-20]
	cmp	esi,_bbNullObject
	jne	_67
	call	_brl_blitz_NullObjectError
_67:
	push	esi
	mov	eax,dword [esi]
	call	dword [eax+140]
	add	esp,4
	mov	ebx,eax
	jmp	_29
_31:
	cmp	ebx,_bbNullObject
	jne	_72
	call	_brl_blitz_NullObjectError
_72:
	push	_brl_gnet_TGNetObject
	push	ebx
	mov	eax,dword [ebx]
	call	dword [eax+52]
	add	esp,4
	push	eax
	call	_bbObjectDowncast
	add	esp,8
	mov	dword [ebp-24],eax
	cmp	dword [ebp-24],_bbNullObject
	je	_29
	push	ebp
	push	_91
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_73
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	dword [ebp-24]
	call	_brl_gnet_GNetObjectState
	add	esp,4
	mov	dword [ebp-28],eax
	push	_75
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	mov	eax,dword [ebp-28]
	cmp	eax,1
	je	_78
	cmp	eax,4
	je	_79
	cmp	eax,2
	je	_80
	cmp	eax,3
	je	_81
	cmp	eax,5
	je	_82
	jmp	_77
_78:
	push	ebp
	push	_84
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_83
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_32
	call	_brl_standardio_Print
	add	esp,4
	call	dword [_bbOnDebugLeaveScope]
	jmp	_77
_79:
	push	ebp
	push	_85
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	call	dword [_bbOnDebugLeaveScope]
	jmp	_77
_80:
	push	ebp
	push	_87
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_86
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_33
	push	1
	push	dword [ebp-24]
	call	_brl_gnet_GetGNetString
	add	esp,8
	push	eax
	call	_bbStringConcat
	add	esp,8
	push	eax
	call	_brl_standardio_Print
	add	esp,4
	call	dword [_bbOnDebugLeaveScope]
	jmp	_77
_81:
	push	ebp
	push	_89
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	push	_88
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	_34
	call	_brl_standardio_Print
	add	esp,4
	call	dword [_bbOnDebugLeaveScope]
	jmp	_77
_82:
	push	ebp
	push	_90
	call	dword [_bbOnDebugEnterScope]
	add	esp,8
	call	dword [_bbOnDebugLeaveScope]
	jmp	_77
_77:
	call	dword [_bbOnDebugLeaveScope]
_29:
	cmp	ebx,_bbNullObject
	jne	_70
	call	_brl_blitz_NullObjectError
_70:
	push	ebx
	mov	eax,dword [ebx]
	call	dword [eax+48]
	add	esp,4
	cmp	eax,0
	jne	_31
_30:
	push	_96
	call	dword [_bbOnDebugEnterStm]
	add	esp,4
	push	1
	call	_bbDelay
	add	esp,4
	call	dword [_bbOnDebugLeaveScope]
_26:
	cmp	dword [ebp-8],0
	je	_28
_27:
	mov	ebx,0
	jmp	_35
_35:
	call	dword [_bbOnDebugLeaveScope]
	mov	eax,ebx
	pop	esi
	pop	ebx
	mov	esp,ebp
	pop	ebp
	ret
	section	"data" data writeable align 8
	align	4
_107:
	dd	0
_101:
	db	"mainserver",0
_102:
	db	"serverPort",0
_95:
	db	"i",0
_103:
	db	"quitServer",0
_104:
	db	"openServer",0
_105:
	db	":tgnethost",0
_106:
	db	"listener",0
	align	4
_100:
	dd	1
	dd	_101
	dd	2
	dd	_102
	dd	_95
	dd	-4
	dd	2
	dd	_103
	dd	_95
	dd	-8
	dd	2
	dd	_104
	dd	_105
	dd	-12
	dd	2
	dd	_106
	dd	_105
	dd	-16
	dd	0
_38:
	db	"C:/Users/Fobsi/Desktop/AgeOfEmpires/game/mainserver.bmx",0
	align	4
_37:
	dd	_38
	dd	6
	dd	1
	align	4
_40:
	dd	_38
	dd	7
	dd	1
	align	4
_42:
	dd	_38
	dd	8
	dd	1
	align	4
_44:
	dd	_38
	dd	13
	dd	1
	align	4
_46:
	dd	_38
	dd	14
	dd	1
	align	4
_22:
	dd	_bbStringClass
	dd	2147483647
	dd	22
	dw	83,101,114,118,101,114,32,119,105,114,100,32,103,101,115,116
	dw	97,114,116,101,116,32
	align	4
_47:
	dd	_38
	dd	14
	dd	32
	align	4
_1:
	dd	_bbStringClass
	dd	2147483647
	dd	0
	align	4
_48:
	dd	_38
	dd	18
	dd	1
	align	4
_55:
	dd	3
	dd	0
	dd	0
	align	4
_50:
	dd	_38
	dd	19
	dd	2
	align	4
_23:
	dd	_bbStringClass
	dd	2147483647
	dd	37
	dw	83,101,114,118,101,114,32,107,111,110,110,116,101,32,110,105
	dw	99,104,116,32,103,101,115,116,97,114,116,101,116,32,119,101
	dw	114,100,101,110,58
	align	4
_51:
	dd	_38
	dd	20
	dd	2
	align	4
_25:
	dd	_bbStringClass
	dd	2147483647
	dd	16
	dw	32,98,101,114,101,105,116,115,32,98,101,108,101,103,116,46
	align	4
_24:
	dd	_bbStringClass
	dd	2147483647
	dd	5
	dw	80,111,114,116,32
	align	4
_52:
	dd	_38
	dd	21
	dd	2
	align	4
_53:
	dd	_38
	dd	22
	dd	2
	align	4
_54:
	dd	_38
	dd	23
	dd	2
	align	4
_58:
	dd	3
	dd	0
	dd	0
	align	4
_57:
	dd	_38
	dd	25
	dd	2
	align	4
_59:
	dd	_38
	dd	30
	dd	1
_98:
	db	"objectGList",0
_99:
	db	":TList",0
	align	4
_97:
	dd	3
	dd	0
	dd	2
	dd	_98
	dd	_99
	dd	-20
	dd	0
	align	4
_60:
	dd	_38
	dd	33
	dd	2
	align	4
_61:
	dd	_38
	dd	37
	dd	2
	align	4
_63:
	dd	_38
	dd	40
	dd	2
_92:
	db	"objectG",0
_93:
	db	":TGnetObject",0
_94:
	db	"state",0
	align	4
_91:
	dd	3
	dd	0
	dd	2
	dd	_92
	dd	_93
	dd	-24
	dd	2
	dd	_94
	dd	_95
	dd	-28
	dd	0
	align	4
_73:
	dd	_38
	dd	43
	dd	3
	align	4
_75:
	dd	_38
	dd	46
	dd	3
	align	4
_84:
	dd	3
	dd	0
	dd	0
	align	4
_83:
	dd	_38
	dd	48
	dd	5
	align	4
_32:
	dd	_bbStringClass
	dd	2147483647
	dd	18
	dw	78,101,119,32,111,98,106,101,99,116,32,99,114,101,97,116
	dw	101,100
	align	4
_85:
	dd	3
	dd	0
	dd	0
	align	4
_87:
	dd	3
	dd	0
	dd	0
	align	4
_86:
	dd	_38
	dd	51
	dd	5
	align	4
_33:
	dd	_bbStringClass
	dd	2147483647
	dd	10
	dw	32,105,115,32,109,111,118,105,110,103
	align	4
_89:
	dd	3
	dd	0
	dd	0
	align	4
_88:
	dd	_38
	dd	53
	dd	5
	align	4
_34:
	dd	_bbStringClass
	dd	2147483647
	dd	27
	dw	67,111,110,110,101,99,116,105,111,110,32,99,108,111,115,101
	dw	100,32,116,111,32,97,32,112,101,101,114
	align	4
_90:
	dd	3
	dd	0
	dd	0
	align	4
_96:
	dd	_38
	dd	62
	dd	2
